### Function

# FwupdPlugin xmlb_builder_insert_kv

since: 1.6.0

#### Declaration [src]

    void
    fu_xmlb_builder_insert_kv (
      XbBuilderNode* bn,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Convenience function to add an XML node with a string value. If `value` is `NULL` then no member is added.

Available since: 1.6.0

#### Parameters

`bn`

  Type: `XbBuilderNode`

  `XbBuilderNode`.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  String key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  String value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.